# Makefile.in generated automatically by automake 1.4 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

# TiMidity++ -- MIDI to WAVE converter and player
# Copyright (C) 1999 Masanao Izumo <mo@goice.co.jp>
# Copyright (C) 1995 Tuukka Toivonen <tt@cgs.fi>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


# TiMidity++ -- MIDI to WAVE converter and player
# Copyright (C) 1999 Masanao Izumo <mo@goice.co.jp>
# Copyright (C) 1995 Tuukka Toivonen <tt@cgs.fi>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

# Define follows if you want to change.


srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@

top_builddir = ..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@ $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = @program_transform_name@

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_alias = @build_alias@
build_triplet = @build@
host_alias = @host_alias@
host_triplet = @host@
target_alias = @target_alias@
target_triplet = @target@
ALSA_CFLAGS = @ALSA_CFLAGS@
ALSA_LIBS = @ALSA_LIBS@
CC = @CC@
ELFILES = @ELFILES@
EMACS = @EMACS@
ESD_CFLAGS = @ESD_CFLAGS@
ESD_CONFIG = @ESD_CONFIG@
ESD_LIBS = @ESD_LIBS@
EXEEXT = @EXEEXT@
EXTRALIBS = @EXTRALIBS@
GTK_CFLAGS = @GTK_CFLAGS@
GTK_CONFIG = @GTK_CONFIG@
GTK_LIBS = @GTK_LIBS@
INTERFACE_SRCS = @INTERFACE_SRCS@
LN_S = @LN_S@
MAKEINFO = @MAKEINFO@
NETSRCS = @NETSRCS@
PACKAGE = @PACKAGE@
RANLIB = @RANLIB@
SHCFLAGS = @SHCFLAGS@
SHLD = @SHLD@
SYSEXTRAS = @SYSEXTRAS@
VERSION = @VERSION@
WISH = @WISH@
dynamic_targets = @dynamic_targets@
lispdir = @lispdir@
program_transform_name = @program_transform_name@
so = @so@
tcltk_dep = @tcltk_dep@

LIBS = @LIBS@

INCLUDES =  	-I$(top_srcdir) 	-I$(top_srcdir)/timidity 	-I$(top_srcdir)/libarc 	-I$(top_srcdir)/utils 	$(EXTRAINCS)


bin_PROGRAMS = wav2pat mididump bag patinfo lsmidiprog sf2text

wav2pat_SOURCES =  	wav2pat.c


mididump_SOURCES =  	mididump.c

mididump_LDADD =  	$(top_builddir)/timidity/common.o 	$(top_builddir)/libarc/libarc.a 	$(top_builddir)/utils/libutils.a 	$(LIBS)


bag_SOURCES =  	bag.c


patinfo_SOURCES =  	patinfo.c


lsmidiprog_SOURCES =  	lsmidiprog.c


lsmidiprog_LDADD =  	$(top_builddir)/timidity/readmidi.o 	$(top_builddir)/timidity/rcp.o 	$(top_builddir)/timidity/common.o 	$(top_builddir)/timidity/tables.o 	$(top_builddir)/libarc/libarc.a 	$(top_builddir)/utils/libutils.a 	$(LIBS)


sf2text_SOURCES =  	sf2text.c 	gentxt.c

sf2text_LDADD =  	$(top_builddir)/timidity/common.o 	$(top_builddir)/timidity/sffile.o 	$(top_builddir)/timidity/sfitem.o 	$(top_builddir)/timidity/sbkconv.o 	$(top_builddir)/libarc/libarc.a 	$(top_builddir)/utils/libutils.a 	$(LIBS)


EXTRA_DIST =  	my 	my.pl


SHELL = /bin/sh

#CC= gcc
#CFLAGS =  -O3 -Wall -mv8 -funroll-all-loops -fomit-frame-pointer -msupersparc -DAUDIO_FILLING_MILSEC=5000
#CPPFLAGS =  -I/usr1/home/mo/opt/include -I/usr/local/include -I/usr/local/X11/include -I/usr1/home/mo/opt/lib/glib/include -DENABLE_SHERRY -DSOLARIS -DAU_NAS -DAU_SUN -DTKPROGPATH=\"$(TCL_DIR)/tkmidity.tcl\" -DXAW3D -DSUPPORT_SOCKET -DSUPPORT_SOUNDSPEC -DWRDT_X -DDEFAULT_PATH=\"$(TIMID_DIR)\"

#DEFS = -DHAVE_CONFIG_H
#LDFLAGS =  -L/usr1/home/mo/opt/lib -L/usr/local/lib -L/usr/local/X11/lib
#LIBS = -ltk4.2jp -ltcl7.6jp  -lXm -lXaw3d -lXmu -lXt -lSM -lICE -lXext -lX11 -lnsl -lsocket -lm -lncurses -lslang -L/usr1/home/mo/opt/lib -L/usr/local/X11/lib -R/usr/local/X11/lib -lgtk -lgdk -lgmodule -lglib -ldl -lintl -lXext -lX11 -lsocket -lnsl -lw -lm -ldl -lpng -lz    /usr/local/X11/lib/libaudio.a
#SHLD = /usr/ccs/bin/ld -G  -L/usr1/home/mo/opt/lib -L/usr/local/lib -L/usr/local/X11/lib
#SHCFLAGS =  -fPIC
#

#prefix = /usr/local
#exec_prefix = ${prefix}
#bindir = ${exec_prefix}/bin
#libdir = ${exec_prefix}/lib
#mandir = ${prefix}/man
pkglibdir = $(libdir)/timidity
#INSTALL = ./install-sh -c

# Where to install the patches, config files, and MIDI files.
# If you change this, it's a good idea to recompile the binary,
# or you'll need to invoke timidity with the -L option.
TIMID_DIR = $(pkglibdir)

# Where to install the Tcl code, if you use the Tcl code that is.
TCL_DIR = $(pkglibdir)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../config.h ../interface.h
CONFIG_CLEAN_FILES = 
bin_PROGRAMS =  wav2pat$(EXEEXT) mididump$(EXEEXT) bag$(EXEEXT) \
patinfo$(EXEEXT) lsmidiprog$(EXEEXT) sf2text$(EXEEXT)
PROGRAMS =  $(bin_PROGRAMS)


DEFS = @DEFS@ -I. -I$(srcdir) -I.. -I..
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
X_CFLAGS = @X_CFLAGS@
X_LIBS = @X_LIBS@
X_EXTRA_LIBS = @X_EXTRA_LIBS@
X_PRE_LIBS = @X_PRE_LIBS@
wav2pat_OBJECTS =  wav2pat.o
wav2pat_LDADD = $(LDADD)
wav2pat_DEPENDENCIES = 
wav2pat_LDFLAGS = 
mididump_OBJECTS =  mididump.o
mididump_DEPENDENCIES =  $(top_builddir)/timidity/common.o \
$(top_builddir)/libarc/libarc.a $(top_builddir)/utils/libutils.a
mididump_LDFLAGS = 
bag_OBJECTS =  bag.o
bag_LDADD = $(LDADD)
bag_DEPENDENCIES = 
bag_LDFLAGS = 
patinfo_OBJECTS =  patinfo.o
patinfo_LDADD = $(LDADD)
patinfo_DEPENDENCIES = 
patinfo_LDFLAGS = 
lsmidiprog_OBJECTS =  lsmidiprog.o
lsmidiprog_DEPENDENCIES =  $(top_builddir)/timidity/readmidi.o \
$(top_builddir)/timidity/rcp.o $(top_builddir)/timidity/common.o \
$(top_builddir)/timidity/tables.o $(top_builddir)/libarc/libarc.a \
$(top_builddir)/utils/libutils.a
lsmidiprog_LDFLAGS = 
sf2text_OBJECTS =  sf2text.o gentxt.o
sf2text_DEPENDENCIES =  $(top_builddir)/timidity/common.o \
$(top_builddir)/timidity/sffile.o $(top_builddir)/timidity/sfitem.o \
$(top_builddir)/timidity/sbkconv.o $(top_builddir)/libarc/libarc.a \
$(top_builddir)/utils/libutils.a
sf2text_LDFLAGS = 
CFLAGS = @CFLAGS@
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
DIST_COMMON =  INSTALL Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = gtar
GZIP_ENV = --best
DEP_FILES =  .deps/bag.P .deps/gentxt.P .deps/lsmidiprog.P \
.deps/mididump.P .deps/patinfo.P .deps/sf2text.P .deps/wav2pat.P
SOURCES = $(wav2pat_SOURCES) $(mididump_SOURCES) $(bag_SOURCES) $(patinfo_SOURCES) $(lsmidiprog_SOURCES) $(sf2text_SOURCES)
OBJECTS = $(wav2pat_OBJECTS) $(mididump_OBJECTS) $(bag_OBJECTS) $(patinfo_OBJECTS) $(lsmidiprog_OBJECTS) $(sf2text_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .o .s
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) $(top_srcdir)/common.makefile
	cd $(top_srcdir) && $(AUTOMAKE) --gnu tools-2.0.0/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-binPROGRAMS:

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)

distclean-binPROGRAMS:

maintainer-clean-binPROGRAMS:

install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "  $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`"; \
	     $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	list='$(bin_PROGRAMS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	done

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

wav2pat$(EXEEXT): $(wav2pat_OBJECTS) $(wav2pat_DEPENDENCIES)
	@rm -f wav2pat$(EXEEXT)
	$(LINK) $(wav2pat_LDFLAGS) $(wav2pat_OBJECTS) $(wav2pat_LDADD) $(LIBS)

mididump$(EXEEXT): $(mididump_OBJECTS) $(mididump_DEPENDENCIES)
	@rm -f mididump$(EXEEXT)
	$(LINK) $(mididump_LDFLAGS) $(mididump_OBJECTS) $(mididump_LDADD) $(LIBS)

bag$(EXEEXT): $(bag_OBJECTS) $(bag_DEPENDENCIES)
	@rm -f bag$(EXEEXT)
	$(LINK) $(bag_LDFLAGS) $(bag_OBJECTS) $(bag_LDADD) $(LIBS)

patinfo$(EXEEXT): $(patinfo_OBJECTS) $(patinfo_DEPENDENCIES)
	@rm -f patinfo$(EXEEXT)
	$(LINK) $(patinfo_LDFLAGS) $(patinfo_OBJECTS) $(patinfo_LDADD) $(LIBS)

lsmidiprog$(EXEEXT): $(lsmidiprog_OBJECTS) $(lsmidiprog_DEPENDENCIES)
	@rm -f lsmidiprog$(EXEEXT)
	$(LINK) $(lsmidiprog_LDFLAGS) $(lsmidiprog_OBJECTS) $(lsmidiprog_LDADD) $(LIBS)

sf2text$(EXEEXT): $(sf2text_OBJECTS) $(sf2text_DEPENDENCIES)
	@rm -f sf2text$(EXEEXT)
	$(LINK) $(sf2text_LDFLAGS) $(sf2text_OBJECTS) $(sf2text_LDADD) $(LIBS)

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = tools-2.0.0

distdir: $(DISTFILES)
	here=`cd $(top_builddir) && pwd`; \
	top_distdir=`cd $(top_distdir) && pwd`; \
	distdir=`cd $(distdir) && pwd`; \
	cd $(top_srcdir) \
	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu tools-2.0.0/Makefile
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done

DEPS_MAGIC := $(shell mkdir .deps > /dev/null 2>&1 || :)

-include $(DEP_FILES)

mostlyclean-depend:

clean-depend:

distclean-depend:
	-rm -rf .deps

maintainer-clean-depend:

%.o: %.c
	@echo '$(COMPILE) -c $<'; \
	$(COMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-cp .deps/$(*F).pp .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*F).P; \
	rm .deps/$(*F).pp

%.lo: %.c
	@echo '$(LTCOMPILE) -c $<'; \
	$(LTCOMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-sed -e 's/^\([^:]*\)\.o[ 	]*:/\1.lo \1.o :/' \
	  < .deps/$(*F).pp > .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*F).P; \
	rm -f .deps/$(*F).pp
info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am: install-binPROGRAMS
install-exec: install-exec-am

install-data-am:
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am: uninstall-binPROGRAMS
uninstall: uninstall-am
all-am: Makefile $(PROGRAMS)
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:
	$(mkinstalldirs)  $(DESTDIR)$(bindir)


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-binPROGRAMS mostlyclean-compile \
		mostlyclean-tags mostlyclean-depend mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-binPROGRAMS clean-compile clean-tags clean-depend \
		clean-generic mostlyclean-am

clean: clean-am

distclean-am:  distclean-binPROGRAMS distclean-compile distclean-tags \
		distclean-depend distclean-generic clean-am

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-binPROGRAMS \
		maintainer-clean-compile maintainer-clean-tags \
		maintainer-clean-depend maintainer-clean-generic \
		distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: mostlyclean-binPROGRAMS distclean-binPROGRAMS clean-binPROGRAMS \
maintainer-clean-binPROGRAMS uninstall-binPROGRAMS install-binPROGRAMS \
mostlyclean-compile distclean-compile clean-compile \
maintainer-clean-compile tags mostlyclean-tags distclean-tags \
clean-tags maintainer-clean-tags distdir mostlyclean-depend \
distclean-depend clean-depend maintainer-clean-depend info-am info \
dvi-am dvi check check-am installcheck-am installcheck install-exec-am \
install-exec install-data-am install-data install-am install \
uninstall-am uninstall all-redirect all-am all installdirs \
mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean


#.SUFFIXES: .c .h .ptcl .tcl .o .1 .5 .txt .ps .so

.c.o:
	$(COMPILE) -c $< -o $@

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
